Bug 992 - aty128fb sometimes puts garbage on the screen
: aty128fb sometimes puts garbage on the screen
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-06-11 20:43 by
Modified: 2003-08-25 15:18 (History)


Attachments
0000992-linux-2.4.18-aty128fb_fix.patch (deleted)
2002-06-11 20:43, Sergey Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-06-11 20:43:41
With kernel24-up-2.4.18-alt6master (and older versions) and aty128fb sometimes
there is garbage on the screen (parts of characters, usually in place of
spaces).  The effect is sometimes visible in mutt (when sorting by threads and
there are many long threads) and very noticeable with the new aptitude (pull
down the menu and press Left and Right to move between different submenus).

Looking at the source, I have noted two problems:

1. The driver does not wrap display_switch.{clear,revc} in all color depths,
therefore some video memory access might be overlapping with the accelerator.

2. The accelerated bmove function always uses left-to-right and top-to-bottom
direction, without checking the actual direction of move. When doing overlapped
copies, this causes corruption. (The \"insert characters\" control
code, which causes part of the line to be shifted right, triggers the problem.)

I have made a patch against the driver sources included in
kernel24-2.4.18-alt6master to fix the problems.  On my system, with the Rage128
Pro card, the fixed driver looks stable.
---

---
------- Comment #1 From 2003-01-08 21:30:42 -------
in 2.4.20
------- Comment #2 From 2003-01-08 21:30:42 -------
in 2.4.20